﻿#!/bin/sh
#moto.it168.com

export PATH=${0%/*}:$PATH
rm /tmp/idle.txt
rm /tmp/read_cache.txt
idle="/ezxlocal/download/appwrite/setup/ezx_idle.cfg"
for pd_SC in SC_ReadMsg SC_CreateMsg SC_ChgTheme SC_Camera SC_CaptureVideo SC_CreateEvent SC_AlarmClock SC_SetAlarm SC_ViewPicture SC_WiFiQuickConnect SC_Bluetooth SC_UseBT SC_ChgProfile SC_Wallpaper SC_SearchBT SC_PlayMusic SC_CreateContact 

do

pd=`grep $pd_SC /ezxlocal/download/appwrite/setup/ezx_idle.cfg`
pd1=`echo ${pd##*=\ }`
if [ "$pd1" = "-1" ]
then
echo $pd_SC' 0' >> /tmp/read_cache.txt
else
echo $pd_SC' 1' >> /tmp/read_cache.txt
fi
done
LANG_TYPE=`cat /ezxlocal/download/appwrite/setup/ezx_system.cfg | grep ^LanguageType`
if [ "$LANG_TYPE" = "LanguageType = zh-cn" ]
then
cat /tmp/read_cache.txt | sed 's/SC_ReadMsg/阅读信息/g' \
|sed 's/SC_CreateMsg/创建信息/g' \
|sed 's/SC_ChgTheme/更改主题/g' \
|sed 's/SC_Camera/照相机/g' \
|sed 's/SC_CaptureVideo/拍摄录像/g' \
|sed 's/SC_CreateEvent/创建事项/g' \
|sed 's/SC_SetAlarm/设置闹钟/g' \
|sed 's/SC_AlarmClock/闹钟/g' \
|sed 's/SC_ViewPicture/查看图片/g' \
|sed 's/SC_WiFiQuickConnect/WiFi/g' \
|sed 's/SC_Bluetooth/关闭蓝牙/g' \
|sed 's/SC_UseBT/蓝牙/g' \
|sed 's/SC_ChgProfile/更改提示类型/g' \
|sed 's/SC_Wallpaper/更改墙纸/g' \
|sed 's/SC_SearchBT/查找蓝牙设备/g' \
|sed 's/SC_PlayMusic/播放音乐/g' \
|sed 's/SC_CreateContact/创建联系人/g' > /tmp/read_cache.txt
    ide_title="快捷键管理"
	finished_title="设置成功"
	finished_text="是否刷新手机生效设置?"
else
cat /tmp/read_cache.txt | sed 's/SC_ReadMsg/Прочитать_сообщение/g' \
|sed 's/SC_CreateMsg/Создать_сообщение/g' \
|sed 's/SC_ChgTheme/Изменить_тему/g' \
|sed 's/SC_Camera/Камера/g' \
|sed 's/SC_CaptureVideo/Снять_видео/g' \
|sed 's/SC_CreateEvent/Создать_событие/g' \
|sed 's/SC_SetAlarm/Установить_будильник/g' \
|sed 's/SC_AlarmClock/Будильник/g' \
|sed 's/SC_ViewPicture/Картинки/g' \
|sed 's/SC_WiFiQuickConnect/WiFi/g' \
|sed 's/SC_Bluetooth/Выкл_Bluetooth/g' \
|sed 's/SC_UseBT/Bluetooth/g' \
|sed 's/SC_ChgProfile/Изменить_стиль_оповещения/g' \
|sed 's/SC_Wallpaper/Изменить_фон/g' \
|sed 's/SC_SearchBT/Поиск_Bluetooth/g' \
|sed 's/SC_PlayMusic/Воспроизвести_музыку/g' \
|sed 's/SC_CreateContact/Создать_контакт/g' > /tmp/read_cache.txt
	ide_title="Меню Функции"
	finished_title="Успешно"
	finished_text="Перезагрузить интерфейс для применения изменений?"
fi

showMultiSelect "/tmp/idle.txt" "$ide_title" "" $(for OPT in `cat /tmp/read_cache.txt`; do echo -n "$OPT "; done)
[ "`cat /tmp/idle.txt`" = "" ] && exit 0
mun=1
for pd_SC1 in SC_ReadMsg SC_CreateMsg SC_ChgTheme SC_Camera SC_CaptureVideo SC_CreateEvent SC_AlarmClock SC_SetAlarm SC_ViewPicture SC_WiFiQuickConnect SC_Bluetooth SC_UseBT SC_ChgProfile SC_Wallpaper SC_SearchBT SC_PlayMusic SC_CreateContact 

do
n=`sed -re 's/[ ]0*/ /g;s/^0*//' /tmp/idle.txt`
nn=`echo $n |grep  "\<$mun\>"`
if [ "$nn" != "" ]
then
setconfig $idle $pd_SC1 1
else
setconfig $idle $pd_SC1 -1
fi
mun=$((mun+1))
done

rm /tmp/idle.txt
rm /tmp/read_cache.txt

showQ "$finished_title" "$finished_text" 1
[ "1" = "$?" ] && kill `pidof phone`



